### Method

# Ggit AnnotatedCommit ref

#### Declaration [src]

    GgitAnnotatedCommit*
    ggit_annotated_commit_ref (
      GgitAnnotatedCommit* annotated_commit
    )

#### Description [src]

Atomically increments the reference count of `annotated_commit` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitAnnotatedCommit`

A newly allocated `GgitAnnotatedCommit` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.